<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/display_access_class_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>
<span id="L2" class="LineNr"> 2 </span>10/07/86  display_access_class_
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>
<span id="L5" class="LineNr"> 5 </span>Entry points in display_access_class_:
<span id="L6" class="LineNr"> 6 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>:Entry:  display_access_class_:  10/07/86  display_access_class_
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>Syntax:
<span id="L13" class="LineNr">13 </span>declare display_access_class_$display_access_class entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span>
<span id="L14" class="LineNr">14 </span>     aligned<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L15" class="LineNr">15 </span>call display_access_class_$display_access_class <span class="textRainbow_lv0_p0">(</span>aim_bits<span class="textRainbow_lv0_o0">,</span> aim_chars<span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>The display_access_class_ function converts a bit<span class="textRainbow_lv0_p0">(</span>72<span class="textRainbow_lv0_p0">)</span> aligned
<span id="L19" class="LineNr">19 </span>representation of an access authorization or access class into a
<span id="L20" class="LineNr">20 </span>character string of the form
<span id="L21" class="LineNr">21 </span>   LL...L:CC...C
<span id="L22" class="LineNr">22 </span>where LL...L is an octal sensitivity level number, and CC...C is an
<span id="L23" class="LineNr">23 </span>octal string representing the access category set.
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>Arguments:
<span id="L27" class="LineNr">27 </span>aim_bits
<span id="L28" class="LineNr">28 </span>   is the binary representation to be converted.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr">29 </span>aim_chars
<span id="L30" class="LineNr">30 </span>   is the character string representation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>Notes: Only significant digits of the level number <span class="textRainbow_lv0_p0">(</span>usually a single
<span id="L34" class="LineNr">34 </span>digit from 0 to 7<span class="textRainbow_lv0_p0">)</span> are printed.
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>Currently, only 18 access category bits are used, so that only six
<span id="L37" class="LineNr">37 </span>octal digits are required to represent access categories.  Therefore,
<span id="L38" class="LineNr">38 </span>aim_chars is padded on the right with blanks, which may be used at a
<span id="L39" class="LineNr">39 </span>later time for additional access information.  Trailing zeros are NOT
<span id="L40" class="LineNr">40 </span>stripped.
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>If either the level or category field of aim_bits is invalid, the
<span id="L43" class="LineNr">43 </span>erroneous field is returned as full octal <span class="textRainbow_lv0_p0">(</span>6 digits for level<span class="textRainbow_lv0_o0">,</span> 12
<span id="L44" class="LineNr">44 </span>digits for category<span class="textRainbow_lv0_p0">)</span>, followed by the string &quot;<span class="textRainbow_lv0_p0">(</span>undefined<span class="textRainbow_lv0_p0">)</span>&quot;.
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>
<span id="L47" class="LineNr">47 </span>:Entry: range:  10/07/86 display_access_class_$range
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>Function: The display_access_class_$range function converts an AIM
<span id="L51" class="LineNr">51 </span>access class range to a character string when the names of levels and
<span id="L52" class="LineNr">52 </span>categories are not available.
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>
<span id="L55" class="LineNr">55 </span>Syntax:
<span id="L56" class="LineNr">56 </span>declare display_access_class_$range entry <span class="textRainbow_lv0_p0">(</span><span class="textRainbow_lv1_p0">(</span>2<span class="textRainbow_lv1_p0">)</span> bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span>
<span id="L57" class="LineNr">57 </span>     aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L58" class="LineNr">58 </span>
<span id="L59" class="LineNr">59 </span>call display_access_class_$range <span class="textRainbow_lv0_p0">(</span>AIM_range<span class="textRainbow_lv0_o0">,</span> string_range<span class="textRainbow_lv0_p0">)</span>
<span id="L60" class="LineNr">60 </span>
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span>Arguments:
<span id="L63" class="LineNr">63 </span>AIM_range
<span id="L64" class="LineNr">64 </span>   is a standard access class range.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L65" class="LineNr">65 </span>string_range
<span id="L66" class="LineNr">66 </span>   is a string of the form
<span id="L67" class="LineNr">67 </span>      l:cccccc-L:CCCCCC
<span id="L68" class="LineNr">68 </span>   where l is the level, from 0 to 7, of the bottom of the range.
<span id="L69" class="LineNr">69 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L70" class="LineNr">70 </span>   cccccc are the categories of the bottom of the range.
<span id="L71" class="LineNr">71 </span>
<span id="L72" class="LineNr">72 </span>   The categories are a bit string <span class="textRainbow_lv0_p0">(</span>one bit per category<span class="textRainbow_lv0_p0">)</span> represented
<span id="L73" class="LineNr">73 </span>   in octal.
<span id="L74" class="LineNr">74 </span>
<span id="L75" class="LineNr">75 </span>   L is the level, from 0 to 7, of the top of the range.
<span id="L76" class="LineNr">76 </span>   CCCCCC are categories of the top of the range.
<span id="L77" class="LineNr">77 </span>
<span id="L78" class="LineNr">78 </span>   The categories are a bit string <span class="textRainbow_lv0_p0">(</span>one bit per category<span class="textRainbow_lv0_p0">)</span> represented
<span id="L79" class="LineNr">79 </span>   in octal.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
